[fxruby-users] Installation problem

Alan Lake alan.lake at lakeinfoworks.com
Sun Feb 11 19:17:14 EST 2007


I downloaded the all-in-one archive and unpacked it.  I then did a cd to 
the libGUIb directory and
[root at erie libGUIb]# ruby install.rb

parsearg_config
install.rb: entering config phase...
---> lib
<--- lib
install.rb: config done.
parsearg_setup
install.rb: entering setup phase...
---> lib
<--- lib
install.rb: setup done.
parsearg_install
parsearg_install!!! ARGV:
install.rb: entering install phase...
---> lib
mkdir -p /usr/lib/ruby/site_ruby/1.8/
install libGUIb14.rb /usr/lib/ruby/site_ruby/1.8/
install libGUIb16.rb /usr/lib/ruby/site_ruby/1.8/
<--- lib
install.rb: install done.

This looked good to me.  I then copied the foxGUIb directory to the 
location I chose: /home/alan/Software and did a cd to that new directory 
location and tried to execute it:
[alan at erie foxGUIb]$ ruby foxGUIb.rb

/usr/lib/ruby/site_ruby/1.8/libGUIb16.rb:833: warning: `*' interpreted 
as argument prefix
please install libGUIb!!
no such file to load -- fox16

The directory /usr/lib/ruby/site_ruby/1.8/ contains the following:

facter     gemconfigure.rb  KDE          libGUIb14.rb  Qt     rbconfig  
rubygems.rb
facter.rb  i386-linux       Korundum.rb  libGUIb16.rb  Qt.rb  rubygems  
ubygems.rb

I don't understand what is wrong or what I should do about it.  Thanks 
for any help.


More information about the fxruby-users mailing list